/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      Symbol.bindElementAction(compId, symbolName, "${_button_2}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         // Mostrar un elemento 
         sym.$("pop_2").show();
         
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.getSymbol("pop_2").play(1);
         
         
         // Ocultar un elemento 
         sym.$("button_1").fadeOut("slow");
         sym.$("button_2").fadeOut("slow");
         sym.$("button_3").fadeOut("slow");
         sym.$("button_4").fadeOut("slow");
         sym.$("board").fadeOut("slow");
         sym.$("descripcion").fadeOut("slow");
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_button_1}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         // Mostrar un elemento 
         sym.$("pop_1").show();
         
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.getSymbol("pop_1").play(1);
         
         
         // Ocultar un elemento 
         sym.$("button_1").fadeOut("slow");
         sym.$("button_2").fadeOut("slow");
         sym.$("button_3").fadeOut("slow");
         sym.$("button_4").fadeOut("slow");
         sym.$("board").fadeOut("slow");
         sym.$("descripcion").fadeOut("slow");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_button_3}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         // Mostrar un elemento 
         sym.$("pop_3").show();
         
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.getSymbol("pop_3").play(1);
         
         
         // Ocultar un elemento 
         sym.$("button_1").fadeOut("slow");
         sym.$("button_2").fadeOut("slow");
         sym.$("button_3").fadeOut("slow");
         sym.$("button_4").fadeOut("slow");
         sym.$("board").fadeOut("slow");
         sym.$("descripcion").fadeOut("slow");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_button_4}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         // Mostrar un elemento 
         sym.$("pop_4").show();
         
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.getSymbol("pop_4").play(1);
         
         
         // Ocultar un elemento 
         sym.$("button_1").fadeOut("slow");
         sym.$("button_2").fadeOut("slow");
         sym.$("button_3").fadeOut("slow");
         sym.$("button_4").fadeOut("slow");
         sym.$("board").fadeOut("slow");
         sym.$("descripcion").fadeOut("slow");

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'flecha_bt'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("flecha_bt");
   //Edge symbol end:'flecha_bt'

   //=========================================================

   //=========================================================

   //=========================================================
   
   //Edge symbol: 'bt_audio'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         var soundId = sym.getSymbolElement().attr( "title" );
         var currentAudio=sym.getComposition().getStage().$(soundId)[0].currentTime;
         var duracion= sym.getComposition().getStage().$(soundId).duration;
         console.log("soundId="+soundId);
         if (duracion== currentAudio){
         sym.stop("up");
         }
         
         sym.getComposition().getStage().$(soundId).on('ended', function() {
         sym.stop("up");
            // enable button/link
         });
         
         console.log("currentAudio="+currentAudio);
         console.log("duracion="+duracion);
         // Definir un conmutador para reproducir o pausar una pista de audio 
         if (sym.getComposition().getStage().$(soundId)[0].paused) {
         	sym.getComposition().getStage().$(soundId)[0].play();
         	sym.getComposition().getStage().$(soundId)[0].volume=0.7;
         	sym.stop("down");
         
         } else {
         //activar para pausar en vez de reiniciar
         	sym.getComposition().getStage().$(soundId)[0].pause();
         	sym.stop("up");
         }

      });
      //Edge binding end

      

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      

   })("bt_audio");
   //Edge symbol end:'bt_audio'

   //=========================================================
   
   //Edge symbol: 'pop_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();
         
         
         // Ocultar un elemento 
         sym.getSymbolElement().hide();
         
         
         // Mostrar un elemento 
         sym.getComposition().getStage().$("button_1").show();
         sym.getComposition().getStage().$("button_2").show();
         sym.getComposition().getStage().$("button_3").show();
         sym.getComposition().getStage().$("button_4").show();("slow");
         sym.getComposition().getStage().$("board").show();("slow");
         sym.getComposition().getStage().$("descripcion").show();("slow");
         
         
         sym.getSymbol("btn_home").stop("home1");
         
         
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_btn_example}", "click", function(sym, e) {
         
         // Mostrar un elemento 
         sym.$("pop_A").show();
         
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.getSymbol("pop_A").play(1);
         
         
         // Ocultar un elemento 
         sym.$("pop1_info").fadeOut("slow");
         sym.$("btn_example").fadeOut("slow");
         sym.$("btn_home").fadeOut("slow");
         
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_btn_home}", "click", function(sym, e) {
         sym.playReverse();
         
         sym.getSymbol("btn_home").stop("home2");
         
         sym.getComposition().getStage().getSymbol("button_1").stop("estado_2");

      });
      //Edge binding end

   })("pop_1");
   //Edge symbol end:'pop_1'

   //=========================================================
   
   //Edge symbol: 'button_2'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 500, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("button_2");
   //Edge symbol end:'button_2'

   //=========================================================
   
   //Edge symbol: 'brillo'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 500, function(sym, e) {
         sym.playReverse();

      });
      //Edge binding end

   })("brillo");
   //Edge symbol end:'brillo'

   //=========================================================
   
   //Edge symbol: 'button_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 500, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("button_1");
   //Edge symbol end:'button_1'

   //=========================================================
   
   //Edge symbol: 'bt_info_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_1}", "click", function(sym, e) {
         sym.stop("down");
         
         // Mostrar un elemento 
         sym.getComposition().getStage().getSymbol("slide_2").getSymbol("contenido2").$("pop_info").show();
         sym.getComposition().getStage().getSymbol("slide_2").getSymbol("contenido2").getSymbol("pop_info").play("inicio");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_2}", "click", function(sym, e) {
         sym.stop("up");
         

      });
      //Edge binding end

   })("bt_cerrar");
   //Edge symbol end:'bt_cerrar'

   //=========================================================
   
   //Edge symbol: 'btn_example'
   (function(symbolName) {   
   
   })("btn_example");
   //Edge symbol end:'btn_example'

   //=========================================================
   
   //Edge symbol: 'brillo_btn'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 500, function(sym, e) {
         sym.playReverse();

      });
      //Edge binding end

   })("brillo_btn");
   //Edge symbol end:'brillo_btn'

   //=========================================================

   //=========================================================

   //=========================================================

   //=========================================================

   //=========================================================
   
   //Edge symbol: 'bt_audio'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         var soundId = sym.getSymbolElement().attr( "title" );
         var currentAudio=sym.getComposition().getStage().$(soundId)[0].currentTime;
         var duracion= sym.getComposition().getStage().$(soundId).duration;
         console.log("soundId="+soundId);
         if (duracion== currentAudio){
         sym.stop("up");
         }
         
         sym.getComposition().getStage().$(soundId).on('ended', function() {
         sym.stop("up");
         });
         console.log("currentAudio="+currentAudio);
         console.log("duracion="+duracion); 
         
         $("audio").prop("muted", true);
         
         	if (sym.getComposition().getStage().$(soundId)[0].paused) {
         	//elimina el mute del audio
         	sym.getComposition().getStage().$(soundId)[0].muted = false;
         	sym.getComposition().getStage().$(soundId)[0].volume=0.7;
         	sym.getComposition().getStage().$(soundId)[0].play();
         	sym.stop("down");
         
         } else {
         //activar para pausar en vez de reiniciar
         	sym.getComposition().getStage().$(soundId)[0].pause();
         	sym.stop("up");
         }

      });
      //Edge binding end

      

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      

   })("bt_audio_1");
   //Edge symbol end:'bt_audio_1'

   //=========================================================
   
   //Edge symbol: 'pop_A'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar3}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         // Ocultar un elemento 
         sym.getSymbolElement().fadeOut("slow");
         
         
         // Mostrar un elemento 
         sym.getComposition().getStage().getSymbol("pop_1").$("btn_example").show();
         sym.getComposition().getStage().getSymbol("pop_1").$("pop1_info").show();
         sym.getComposition().getStage().getSymbol("pop_1").$("btn_home").show();

      });
      //Edge binding end

   })("pop_A");
   //Edge symbol end:'pop_A'

   //=========================================================
   
   //Edge symbol: 'btn_home'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("btn_home");
   //Edge symbol end:'btn_home'

   //=========================================================
   
   //Edge symbol: 'pop_2'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();
         
         
         // Ocultar un elemento 
         sym.getSymbolElement().hide();
         
         
         // Mostrar un elemento 
         sym.getComposition().getStage().$("button_1").show();
         sym.getComposition().getStage().$("button_2").show();
         sym.getComposition().getStage().$("button_3").show();
         sym.getComposition().getStage().$("button_4").show();("slow");
         sym.getComposition().getStage().$("board").show();("slow");
         sym.getComposition().getStage().$("descripcion").show();("slow");
         
         
         sym.getSymbol("btn_home").stop("home1");
         
         
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_btn_example}", "click", function(sym, e) {
         
         // Mostrar un elemento 
         sym.$("pop_B").show();
         
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.getSymbol("pop_B").play(1);
         
         
         // Ocultar un elemento 
         sym.$("pop2_info").fadeOut("slow");
         sym.$("btn_example").fadeOut("slow");
         sym.$("btn_home").fadeOut("slow");
         
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_btn_home}", "click", function(sym, e) {
         sym.playReverse();
         
         sym.getSymbol("btn_home").stop("home2");
         
         sym.getComposition().getStage().getSymbol("button_2").stop("estado_2");

      });
      //Edge binding end

   })("pop_2");
   //Edge symbol end:'pop_2'

   //=========================================================
   
   //Edge symbol: 'pop_A_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar3}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         // Ocultar un elemento 
         sym.getSymbolElement().fadeOut("slow");
         
         
         // Mostrar un elemento 
         sym.getComposition().getStage().getSymbol("pop_2").$("btn_example").show();
         sym.getComposition().getStage().getSymbol("pop_2").$("pop2_info").show();
         sym.getComposition().getStage().getSymbol("pop_2").$("btn_home").show();

      });
      //Edge binding end

   })("pop_B");
   //Edge symbol end:'pop_B'

   //=========================================================
   
   //Edge symbol: 'button_3'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 450, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("button_3");
   //Edge symbol end:'button_3'

   //=========================================================
   
   //Edge symbol: 'button_4'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 415, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("button_4");
   //Edge symbol end:'button_4'

   //=========================================================
   
   //Edge symbol: 'pop_3'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();
         
         
         // Ocultar un elemento 
         sym.getSymbolElement().hide();
         
         
         // Mostrar un elemento 
         sym.getComposition().getStage().$("button_1").show();
         sym.getComposition().getStage().$("button_2").show();
         sym.getComposition().getStage().$("button_3").show();
         sym.getComposition().getStage().$("button_4").show();("slow");
         sym.getComposition().getStage().$("board").show();("slow");
         sym.getComposition().getStage().$("descripcion").show();("slow");
         
         
         sym.getSymbol("btn_home").stop("home1");
         
         
         
         

      });
         //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_btn_example}", "click", function(sym, e) {
         
         // Mostrar un elemento 
         sym.$("pop_C").show();
         
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.getSymbol("pop_C").play(1);
         
         
         // Ocultar un elemento 
         sym.$("pop3_info").fadeOut("slow");
         sym.$("btn_example").fadeOut("slow");
         sym.$("btn_home").fadeOut("slow");
         
         
         

      });
         //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_btn_home}", "click", function(sym, e) {
         sym.playReverse();
         
         sym.getSymbol("btn_home").stop("home2");
         
         sym.getComposition().getStage().getSymbol("button_3").stop("estado_2");

      });
         //Edge binding end

      })("pop_3");
   //Edge symbol end:'pop_3'

   //=========================================================
   
   //Edge symbol: 'pop_B_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
         //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar3}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         // Ocultar un elemento 
         sym.getSymbolElement().fadeOut("slow");
         
         
         // Mostrar un elemento 
         sym.getComposition().getStage().getSymbol("pop_3").$("btn_example").show();
         sym.getComposition().getStage().getSymbol("pop_3").$("pop3_info").show();
         sym.getComposition().getStage().getSymbol("pop_3").$("btn_home").show();

      });
         //Edge binding end

      })("pop_C");
   //Edge symbol end:'pop_C'

   //=========================================================
   
   //Edge symbol: 'pop_4'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();
         
         
         // Ocultar un elemento 
         sym.getSymbolElement().hide();
         
         
         // Mostrar un elemento 
         sym.getComposition().getStage().$("button_1").show();
         sym.getComposition().getStage().$("button_2").show();
         sym.getComposition().getStage().$("button_3").show();
         sym.getComposition().getStage().$("button_4").show();("slow");
         sym.getComposition().getStage().$("board").show();("slow");
         sym.getComposition().getStage().$("descripcion").show();("slow");
         
         
         sym.getSymbol("btn_home").stop("home1");
         
         
         
         

      });
         //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_btn_example}", "click", function(sym, e) {
         
         // Mostrar un elemento 
         sym.$("pop_D").show();
         
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.getSymbol("pop_D").play(1);
         
         
         // Ocultar un elemento 
         sym.$("pop4_info").fadeOut("slow");
         sym.$("btn_example").fadeOut("slow");
         sym.$("btn_home").fadeOut("slow");
         
         
         

      });
         //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_btn_home}", "click", function(sym, e) {
         sym.playReverse();
         
         sym.getSymbol("btn_home").stop("home2");
         
         sym.getComposition().getStage().getSymbol("button_4").stop("estado_2");

      });
         //Edge binding end

      })("pop_4");
   //Edge symbol end:'pop_4'

   //=========================================================
   
   //Edge symbol: 'pop_C_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
         //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar3}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         // Ocultar un elemento 
         sym.getSymbolElement().fadeOut("slow");
         
         
         // Mostrar un elemento 
         sym.getComposition().getStage().getSymbol("pop_4").$("btn_example").show();
         sym.getComposition().getStage().getSymbol("pop_4").$("pop4_info").show();
         sym.getComposition().getStage().getSymbol("pop_4").$("btn_home").show();

      });
         //Edge binding end

      })("pop_D");
   //Edge symbol end:'pop_D'

})(jQuery, AdobeEdge, "EDGE-94063035");